- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
MWAWField Struct Reference

a field More...

`#include <libmwaw_internal.hxx>`

## Public Types
enum | Type { None, PageCount, PageNumber, Date, Time, Title, Database }
| Defines some basic type for field. More...

## Public Member Functions
| MWAWField (Type type)
| basic constructor More...

## Public Attributes
Type | m_type
| the type More...
std::string | m_DTFormat
| the date/time format using strftime format if defined More...
libmwaw::NumberingType | m_numberingType
| the number type ( for number field ) More...
std::string | m_data
| the database/link field ( if defined ) More...

## Detailed Description

a field

## Member Enumeration Documentation

enum MWAWField::Type

Defines some basic type for field.

Enumerator
None |
PageCount |
PageNumber |
Date |
Time |
Title |
Database |

## Constructor & Destructor Documentation

MWAWField::MWAWField | ( | Type | type | ) |
| inline

basic constructor

## Member Data Documentation

std::string MWAWField::m_data

the database/link field ( if defined )

Referenced by MWAWTextListener::insertField(), MWAWPresentationListener::insertField(), MWAWGraphicListener::insertField(), and MWAWSpreadsheetListener::insertField().

std::string MWAWField::m_DTFormat

the date/time format using strftime format if defined

Referenced by MindWrtParserInternal::Field::getField(), RagTimeTextInternal::Token::getField(), MWAWTextListener::insertField(), MWAWPresentationListener::insertField(), MWAWGraphicListener::insertField(), MWAWSpreadsheetListener::insertField(), RagTimeText::send(), WriteNowText::send(), DocMkrText::sendFooter(), ActaParser::sendHeaderFooter(), HanMacWrdJText::sendText(), NisusWrtText::sendText(), BeagleWksText::sendText(), HanMacWrdKText::sendText(), MsWrdText::sendText(), ClarisWksText::sendText(), and GreatWksTextInternal::Token::sendTo().

libmwaw::NumberingType MWAWField::m_numberingType

the number type ( for number field )

Referenced by MWAWTextListener::insertField(), MWAWPresentationListener::insertField(), MWAWGraphicListener::insertField(), MWAWSpreadsheetListener::insertField(), and MWAWHeaderFooter::insertPageNumberParagraph().

Type MWAWField::m_type

the type

Referenced by MWAWTextListener::insertField(), MWAWPresentationListener::insertField(), MWAWGraphicListener::insertField(), and MWAWSpreadsheetListener::insertField().

The documentation for this struct was generated from the following file:

- libmwaw_internal.hxx